# Data Dictionary: Docker Hub Users

Dictionary contains explanations and examples of all data fields available in the **Docker Hub Users** dataset.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields per category" %}

1. [Metadata](#metadata)
2. [Profile details](#profile-details)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](/additional-sources/docker-hub/docker-hub-users/data-sample.md).
{% endhint %}

***

## Metadata

### Record metadata

| Data field             | Description                                                | Data type                   |
| ---------------------- | ---------------------------------------------------------- | --------------------------- |
| `meta`                 | Contains metadata about the record                         | Object                      |
| `created_at_date`      | Date when the record was initially scraped                 | Array of numbers (integers) |
| `created_at_timestamp` | Unix timestamp for when the record was first scraped       | Float                       |
| `updated_at_date`      | Date when the record was last updated                      | Array of numbers (integers) |
| `updated_at_timestamp` | Unix timestamp for when the record was last updated        | Float                       |
| `version_id`           | Identifier for the dataset version                         | String                      |
| `source`               | Source from which the record was obtained                  | String                      |
| `object`               | Type of data object or entity described                    | String                      |
| `is_deleted`           | Indicates if the repository is available on the Docker Hub | Boolean                     |

**See a snippet of the dataset for reference:**

{% code title="Metadata" %}

```json
		"_meta": {
			"created_at_date": [
				2023,
				5,
				25
			],
			"created_at_timestamp": 1684978234.548726,
			"updated_at_date": [
				2024,
				4,
				25
			],
			"updated_at_timestamp": 1714071212.241857,
			"version_id": "22d117aa",
			"source": "dockerhub",
			"object": "member",
			"is_deleted": false
		},
```

{% endcode %}

### Profile metadata

| Data field  | Description                        | Data type |
| ----------- | ---------------------------------- | --------- |
| `doc`       | Dataset starting point             | Object    |
| `source_id` | Profile identifier on Docker Hub   | String    |
| `id`        | Profile identifier in our database | String    |

**See a snippet of the dataset for reference:**

{% code title="Metadata" %}

```json
"doc": {
      "source_id": "5b24276186ed43b1aaad5624bac02cd9",
      "id": "dockerhub_people_5b24276186ed43b1aaad5624bac02cd9",
```

{% endcode %}

| Data field    | Description                                                               | Data type |
| ------------- | ------------------------------------------------------------------------- | --------- |
| `date_joined` | Timestamp indicating when the user joined Docker Hub in `ISO 8601` format | String    |
| `type`        | Record type                                                               | String    |
| `badge`       | User's repository badge                                                   | String    |

**See a snippet of the dataset for reference:**

{% code title="date:joined" %}

```json
"date_joined": "2014-05-08T13:02:04.699668Z",
"badge": "open_source",
"type": "User",
```

{% endcode %}

## Profile details

| Data field     | Description                | Data type |
| -------------- | -------------------------- | --------- |
| `url`          | User's profile information | String    |
| `publisher`    | Repository owner/publisher | String    |
| `name`         | Developer's name           | String    |
| `location`     | Developer's location       | String    |
| `company_name` | Associated company         | String    |

**See a snippet of the dataset for reference:**

{% code title="Main details" %}

```json
"url": "https://hub.docker.com/u/example-profile",
"publisher": "Example Publisher",
"name": "Example Publisher",
"location": "Fort Lauderdale, FL",
"company_name": "Unique Web Sites, Inc.",
```

{% endcode %}

| Data field     | Description                     | Data type |
| -------------- | ------------------------------- | --------- |
| `image`        | Developer's logo/image          | String    |
| `contact_info` | Developer's contact information | Object    |
| `profile_url`  | Developer's website             | String    |

**See a snippet of the dataset for reference:**

{% code title="image" %}

```json
"image": "https://www.gravatar.com/avatar/983cfd34444344fcfd42fc2417dbf1333222x31201bc3e?s=80&r=g&d=mm",
"contact_info": {
        "profile_url": "http://www.example-profile.com/"
      },
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/additional-sources/docker-hub/docker-hub-users/data-dictionary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
